# This package is built with Tk stubs for 8.4.6+ but we also provide a version
# for that is linked to tk84.dll for Tk 8.4.0-8.4.5.
# The package cannot be used with Tk < 8.4
#
if {![package vsatisfies [package provide Tcl] 8.4]} {return}
if {[info exists ::tcl_platform(debug)]} {
   package ifneeded tile 0.5 [list load [file join $dir tile05g.dll]]
} else {
   if {[package vsatisfies [package provide Tcl] 8.5]
       || [package vsatisfies [info patchlevel] 8.4.6]} {
      # use the stubs linked version
     set ::env(TILE_LIBRARY) $dir
      package ifneeded tile 0.5 [list load [file join $dir tile05.dll]]
   } else {
      # use the Tk 8.4 linked version
     set ::env(TILE_LIBRARY) $dir
     package ifneeded tile 0.5 [list load [file join $dir tile05ns.dll]]
   }
}
